import type { PipelineJson } from '../../pipeline/PipelineJson/PipelineJson';
import type { PipelineExecutor } from '../../execution/PipelineExecutor';
/**
 * Options for running the interactive chatbot
 */
type RunInteractiveChatbotOptions = {
    /**
     * Prepared pipeline to run
     */
    pipeline: PipelineJson;
    /**
     * Prepared pipeline executor
     */
    pipelineExecutor: PipelineExecutor;
    /**
     * Whether to show verbose output
     */
    isVerbose: boolean;
};
/**
 * Run the interactive chatbot in CLI
 *
 * @returns Never-ending promise or process exit
 * @private internal function of `promptbookCli` and `initializeRunCommand`
 */
export declare function runInteractiveChatbot(options: RunInteractiveChatbotOptions): Promise<void | never>;
export {};
/**
 * TODO: Saving reports from the chatbot conversation
 * TODO: [⛲️] This is the right place to start implementing INK
 * Note: [🟡] Code in this file should never be published outside of `@promptbook/cli`
 */
