import type { ExecCommandOptions } from './ExecCommandOptions';
import type { ExecCommandOptionsAdvanced } from './ExecCommandOptions';
/**
 * Normalize options for `execCommand` and `execCommands`
 *
 * Note: `$` is used to indicate that this function behaves differently according to `process.platform`
 *
 * @private internal utility of `execCommand` and `execCommands`
 */
export declare function $execCommandNormalizeOptions(options: ExecCommandOptions): Pick<ExecCommandOptionsAdvanced, 'command' | 'args' | 'cwd' | 'crashOnError' | 'timeout' | 'isVerbose'> & {
    humanReadableCommand: string;
};
